カテゴリ:    

対象バージョン:    

説明

Hi,
Zabbix and Job Arranger latest version on Redhat 8.0 environment

In Job Manager when we create a Jobnet using Conditional branch Icon(IF) with "Processing Method" value as "Character String",
save the Jobnet and Execute.

Now
1. Disable the JobNet
2. Edit the Jobnet
3. Without doing any action Save the Jobnet
4. Now Execute the Jobnet - But job net stops at IF Icon object
Because Processing Method value changed to Numeric.
Error message :      ######################################
[JARUNICONIF200004] In jarun_icon_if() compared with non-numeric OR comparison range is invalid.hand_flag:[0], comparison
value: [MANI], value : [Job Name : Mani] inner_job_id:5934      ########################################

I think is a bug in Job Manager.

履歴
#1 - 2019/11/11 10:15 - 匿名ユーザー

Even just Disable the JobNet and without doing any action, again Enable the Jobnet,
Now execute the Job net, You will get error message " jarun_icon_if() compared with non-numeric OR comparison range is invalid.hand_flag:[0] "

#2 - 2019/11/11 12:12 - 匿名ユーザー

- ステータス を 新規登録 から 回答中 に変更

Thank you for using JobArranger.

Could you check your databases ODBC Connector vsersion please?
The later versions of MySQL ODBC Connector has problem with JobManager.
Please see details in below.

https://www.jobarranger.info/document/doku.php?id=4.0:install:manager:03manager-systems

https://www.jobarranger.info/document/doku.php?id=information

Regards,

#3 - 2019/11/12 09:54 - 匿名ユーザー

Hi  保守サポート 担当
Thanks for the update, yes i used Mysql ODBC connector 8.0 driver.
After changing to 5.0 driver, i didn't face any issue.

Thank�you�for�your�support.

#4 - 2023/05/29 14:49 - 保守サポート 担当2

- ステータス を 回答中 から 終了 に変更
